curl --request POST \
--url https://api.leadping.ai/leads/{id}/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>"
}
'import requests
url = "https://api.leadping.ai/leads/{id}/archive"
payload = { "note": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/leads/{id}/archive");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"note\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/leads/{id}/archive")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"note\": \"<string>\"\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>'})
};
fetch('https://api.leadping.ai/leads/{id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/leads/{id}/archive"
payload := strings.NewReader("{\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/leads/{id}/archive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"assignedToUserId": "<string>",
"assignedTo": {
"id": "<string>",
"name": "<string>"
},
"metadata": {
"trustedFormUrl": "<string>",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmCampaign": "<string>",
"utmTerm": "<string>",
"utmContent": "<string>",
"referrer": "<string>",
"landingPage": "<string>",
"subId": "<string>",
"pubId": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"externalId": "<string>",
"sellerLeadId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"price": 123,
"directPostPrice": 123,
"product": "<string>",
"vertical": "<string>",
"complianceStatus": "<string>",
"complianceBlockedReason": "<string>",
"sourceMetadata": {},
"origin": "<string>",
"importBatchId": "<string>",
"isImported": true,
"assignedPhoneNumberId": "<string>",
"smsConsentStatus": "<string>",
"smsOptedOut": true,
"smsOptOutAt": "2023-11-07T05:31:56Z",
"smsOptInAt": "2023-11-07T05:31:56Z",
"smsHelpRequestedAt": "2023-11-07T05:31:56Z",
"smsConsentPhoneNumber": "<string>",
"trustedFormCheckedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"organizationId": "<string>"
},
"contact": {
"firstName": "<string>",
"lastName": "<string>",
"streetAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"province": "<string>",
"region": "<string>",
"postalCode": "<string>",
"country": "<string>",
"additionalInfo": "<string>"
},
"coordinate": {
"latitude": 123,
"longitude": 123
},
"timeZoneId": "<string>",
"phone": {
"phoneIdentityId": "<string>",
"number": "<string>",
"type": "<string>"
},
"email": "jsmith@example.com",
"avatarUrl": "<string>"
},
"phoneIdentity": {
"number": "<string>",
"lookup": {
"number": "<string>",
"nationalFormat": "<string>",
"recordType": "<string>",
"fraud": "<string>",
"isValid": true,
"lineType": "Wireline",
"carrier": {
"mobileCountryCode": "<string>",
"mobileNetworkCode": "<string>",
"name": "<string>",
"normalizedCarrier": "<string>",
"type": "FixedLine",
"errorCode": "<string>"
},
"callerName": {
"name": "<string>",
"errorCode": "<string>"
},
"portability": {
"alternativeSpid": "<string>",
"alternativeCarrierName": "<string>",
"alternativeCarrierType": "<string>",
"city": "<string>",
"lineType": "<string>",
"localRoutingNumber": "<string>",
"operatingCompanyNumber": "<string>",
"portedDate": "<string>",
"portedStatus": "<string>",
"spid": "<string>",
"carrierName": "<string>",
"carrierType": "<string>",
"state": "<string>"
},
"location": {
"location": "<string>",
"state": "<string>",
"canonicalCity": "<string>",
"canonicalState": "<string>",
"countryCode": "<string>",
"coordinate": {
"latitude": 123,
"longitude": 123
},
"coordinateSource": {
"method": "<string>",
"query": "<string>"
},
"timeZoneId": "<string>",
"timeZoneSource": {
"method": "<string>",
"query": "<string>"
}
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
},
"providerEnrichment": {
"provider": "<string>",
"lookupType": "<string>",
"schemaVersion": 123,
"retrievedAt": "2023-11-07T05:31:56Z",
"rawRecordJson": "<string>"
},
"lastEnrichedAt": "2023-11-07T05:31:56Z",
"lookupActions": [
{
"id": "<string>",
"type": "validation",
"provider": "<string>",
"status": "succeeded",
"occurredAt": "2023-11-07T05:31:56Z",
"providerCostAmount": 123,
"providerPricingVersion": "<string>"
}
],
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
},
"customer": {
"gender": "M",
"height": 123,
"weight": 123,
"birthDate": "2023-12-25",
"maritalStatus": "Married",
"income": 123,
"isHomeowner": true,
"monthsAtResidence": 123,
"creditScore": 123,
"hasBankruptcy": true,
"employmentType": "Employed",
"numberOfDependents": 123,
"hasMedicalCondition": true
},
"enabled": true,
"deletedAt": "2023-11-07T05:31:56Z",
"deletedByUserId": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"archivedByUserId": "<string>",
"archiveReason": 0,
"archiveNote": "<string>",
"isArchived": true,
"currentLeadStatus": {
"id": "<string>",
"category": "Open",
"outcome": "<string>",
"displayName": "<string>",
"changedAt": "2023-11-07T05:31:56Z",
"changedByUserId": "<string>",
"changedByAutomationId": "<string>",
"source": "User"
},
"processingStatus": "Quarantined",
"processingStatusReason": "<string>",
"processingStatusChangedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"name": "<string>",
"normalizedName": "<string>",
"color": "<string>"
}
],
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Archive an organization lead record by ID
Archives a lead without deleting history, removing it from active pipeline views while preserving communication and event records. The request body is intentionally optional. An empty body archives the lead with the default manually-archived reason.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The unique identifier of the lead to archive.
Body
Optional archive reason and related audit context. Omit the body to use the default manually-archived reason.
Defines the fields clients can send when working with lead archive.
Response
OK
Describes lead data returned by Leadping.
Leadping user currently responsible for this lead, or null when it is in the unassigned queue.
Identifier and display name of the active organization member assigned to this lead.
Show child attributes
Show child attributes
Structured metadata used for attribution, integrations, and reporting on this lead response.
Show child attributes
Show child attributes
Contact details for the lead or customer represented by this lead response.
Show child attributes
Show child attributes
Canonical phone identity and provider lookup details for this lead.
Show child attributes
Show child attributes
Demographic profile details for the lead represented by this lead response.
Show child attributes
Show child attributes
Indicates whether this lead response is active and available in the Leadping API.
UTC timestamp when this lead was soft deleted.
User ID of the person who soft deleted this lead.
UTC timestamp when this record was archived.
User ID of the person who archived this record.
Defines why a lead was removed from the active working pipeline.
0, 1, 2, 3, 4, 5, 6, 7, 8, 9 Optional note explaining why the lead was archived.
Indicates whether the lead has been archived in Leadping.
Current lead status change summary that describes the lead outcome.
Show child attributes
Show child attributes
Defines the asynchronous verification and enrichment lifecycle for a lead.
Quarantined, Verifying, Validating, Enriching, Ready, Invalid, Failed Explanation when asynchronous lead processing is blocked or fails.
UTC timestamp when the processing stage last changed.
Tags currently attached to this lead, source, or record.
Show child attributes
Show child attributes
Stable unique identifier of the resource.
UTC timestamp when the resource was created.
UTC timestamp when the resource was last modified, or null when it has not been updated.

